## ros-kinetic-yujin-ocs 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yujin_ocs)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-yujin-ocs (0.8.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 12 Jan 2017 15:33:11 -0000

ros-kinetic-yujin-ocs (0.6.3-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-kinetic-yujin-ocs (0.6.2-0xenial) xenial; urgency=high

  * update meta package
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-kinetic-yujin-ocs (0.6.0-0xenial) xenial; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jul 2014 15:00:00 -0000

ros-kinetic-yujin-ocs (0.5.3-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 23 Mar 2014 15:00:00 -0000

ros-kinetic-yujin-ocs (0.5.2-0xenial) xenial; urgency=high

  * Move YOCS messages to its own stack.
  * Add yocs_waypoints_navi new package.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 04 Nov 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.5.1-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 13 Oct 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.5.0-0xenial) xenial; urgency=high

  * Cmd_vel_mux renamed as yocs_cmd_vel_mux.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 10 Oct 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.4.1-0xenial) xenial; urgency=high

  * Packages virtual sensor and math toolkit migrated here from https://github.com/yujinrobot/kobuki-x

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Oct 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.4.0-0xenial) xenial; urgency=high

  * Add bugtracker and repo info URLs.
  * Changelogs at package level.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Wed, 28 Aug 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.3.0-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 01 Jul 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.2.3-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 14 Apr 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.2.2-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 09 Feb 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.2.1-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 07 Feb 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.2.0-0xenial) xenial; urgency=high

  * Catkinized.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Wed, 06 Feb 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.1.3-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jan 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.1.2-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 01 Jan 2013 15:00:00 -0000

ros-kinetic-yujin-ocs (0.1.1-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 20 Dec 2012 15:00:00 -0000

ros-kinetic-yujin-ocs (0.1.0-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 04 Dec 2012 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-yujin-ocs
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/yujin_ocs
Standards-Version: 3.9.2

Package: ros-kinetic-yujin-ocs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-yocs-cmd-vel-mux, ros-kinetic-yocs-controllers, ros-kinetic-yocs-diff-drive-pose-controller, ros-kinetic-yocs-joyop, ros-kinetic-yocs-keyop, ros-kinetic-yocs-math-toolkit, ros-kinetic-yocs-rapps, ros-kinetic-yocs-safety-controller, ros-kinetic-yocs-velocity-smoother, ros-kinetic-yocs-virtual-sensor, ros-kinetic-yocs-waypoints-navi
Description: Yujin Robot's open-source control software

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-yujin-ocs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
